Developers
Read an Order
GET
One of the caller’s Orders.
header
AuthorizationBearer <token>An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.
orderNo*stringLength
1 <= lengthSuccess.
application/json- response
orderNo*stringstatus*stringValue in
"canceled""checkout_created""checkout_failed""completed""created""expired""replaced"purchaseKind*stringValue in
"plan""credit_pack"offerId*string|nullpackCredits*|nullamount*integerRange
-9007199254740991 <= value <= 9007199254740991currency*stringproviderCode*stringcreatedAt*stringFormat
date-timecompletedAt*|nullcurl -X GET 'https://ximagesplitter.com/api/v1/billing/orders/string'Example response
{
"orderNo": "string",
"status": "canceled",
"purchaseKind": "plan",
"offerId": "string",
"packCredits": -9007199254740991,
"amount": -9007199254740991,
"currency": "string",
"providerCode": "string",
"createdAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z"
}